Skip to main content
`Ctrl`+`K`

# pandas.core.window.expanding.Expanding.count

Expanding.count(numeric_only=False)

  Calculate the expanding count of non NaN observations.

  Returns:
    Series or DataFrame

      Return type is the same as the original object with `np.float64` dtype.

  See also

  `pandas.Series.expanding`

    Calling expanding with Series data.

  `pandas.DataFrame.expanding`

    Calling expanding with DataFrames.

  `pandas.Series.count`

    Aggregating count for Series.

  `pandas.DataFrame.count`

    Aggregating count for DataFrame.

  Examples

      >>> ser = pd.Series([1, 2, 3, 4], index=['a', 'b', 'c', 'd'])
      >>> ser.expanding().count()
      a    1.0
      b    2.0
      c    3.0
      d    4.0
      dtype: float64